import React from 'react';
import { inject, observer } from 'mobx-react';

import { fieldValue } from '../../../../data';

export var PercentView = inject('editingStore')(observer(function (_ref) {
  var editingStore = _ref.editingStore,
      field = _ref.field;

  var precision = field.precision || 1;
  return React.createElement(
    'span',
    null,
    fieldValue(editingStore._sending, field.key).toFixed(precision),
    ' %'
  );
}));